//---------------------------------------------------------------------------------------------------------------------------------------------------
// Last Change: 2023-01-25      Name: export.cpp        Language: German
//---------------------------------------------------------------------------------------------------------------------------------------------------
// This file contains all language-dependent text definitions of the module EXPORT_.DLL. Together with
// the file EXPORT.RC, it is used to build the language library EXPORT.DLL.
// The library file EXPORT.LIB which is created during the compilation of this language DLL must be
// linked to the module's main DLL in order to have access to the texts and resources defined here.
//---------------------------------------------------------------------------------------------------------------------------------------------------

#include  "windows.h"
#include  "windowsx.h"
#include  "stdlib.h"
#include  "d2d1.h"
#include  "d2d1_1.h"
#include  "dwrite.h"
#include  "wincodec.h"

#include  "x:\mkcad6\mki_lib6\mki_lib6.h"
#include  "x:\mkcad6\mki_lib6\CompileDate.h"

//---------------------------------------------------------------------------------------------------------------------------------------------------

MKI_INTERFACE_EXPORT LPWSTR
eStartUpText[] =
{
  L"Release " MKCAD6_VERSION_STRING_W L", %s\n\nCopyright " MK_COPYRIGHT_YEAR_W L" Malz++Kassner GmbH", // 00
  L"Koordinaten (*.TXT)",           // 01
  L"Koordinaten Export (*.TXT)...", // 02
  L"Koordinaten (*.txt)",           // 03
  L"*.txt",                         // 04
  L"txt",                           // 05
  MKI_END_TEXTW
},

eDialogText[] =
{
  L"Koordinaten Export",                  // 00
  L"namenlos.txt",                        // 00
  L"Exportiere in Datei\n%s...",          // 02
  L"Zeile %s",                            // 03
  L"Der Export wurde abgebrochen.",       // 04
  L"Fehler beim Schreiben in die Datei.", // 05
  MKI_END_TEXTW
};


//---------------------------------------------------------------------------------------------------------------------------------------------------
// This DLL entry procedure must exist in any DLL to be used in Win32. Since our language DLL does not
// need any initialization, this procedure is quite empty.
BOOL WINAPI
DllMain( HINSTANCE f_hInstance, DWORD f_dwReason, LPVOID f_pDummy )
{
  f_hInstance;  // Touch formal parameter to avoid C4100
  f_dwReason;   // Touch formal parameter to avoid C4100
  f_pDummy;     // Touch formal parameter to avoid C4100

  return( true );
}
